nynw.net
当前位置:首页 >> json%liB%2.3%jDk15.jAr用这个转json不报错 >>

json%liB%2.3%jDk15.jAr用这个转json不报错

你这个apps是什么类型的对象,我可以知道吗

看这里,你可以指定下载。 你说的是2.2.3,但是我推荐你使用我提供的v2.4的版本。 http://pan.baidu.com/s/1bTxzRo

试着先将json-lib-2.3-jdk15这个jar撤销,然后运行试试。。。

struts2-json-plugin-2.2.3.jar,这个包允许struts返回json数据。 用法如下: (其中json的json,是对应action里的private Map json) json

正确的描述一个依赖是的格式是这样的: org.gocom.cloud.common org.gocom.cloud.common.exception 1.0.0 而且这三项都是必选项,你的缺少version选项。

如果在多个项目里都会用到的库,一般是先添加到User Libraries,在加到Build Path。 这样不用每次打开文件选择去找了。

json-lib是需要区分jdk版本的,pom.xml中的配置应加上标签,如用jdk15: net.sf.json-lib json-lib 2.2.3 jdk15 总之,以上标签是必须的,如果还是Missing,可能是因为网络原因导致下载失败。请查看本地仓库net\sf\json-lib\json-lib\2.2.3目录...

前面的是单独的 后面的必需配合struts2的 你应该用后者

debug 一下,看看 sites拿到数据没有,BikeSite是否有自包含?你可以把 json转换这个 try catch一下,看看转换出错的原因。

你可以通过这个(json-lib-2.3-jdk15.jar)jar里的方法转换 JSONObject json = JSONObject.fromObject(Object); 如果对象数组 JSONArray json = JSONArray .fromObject(person);

网站首页 | 网站地图
All rights reserved Powered by www.nynw.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com